<ui:composition xmlns:gri="http://java.sun.com/jsf/composite/gri" xmlns:gdk="http://www.ihe.net/gazellecdk"
                xmlns:s="http://jboss.org/schema/seam/taglib" xmlns:a4j="http://richfaces.org/a4j"
                xmlns:h="http://java.sun.com/jsf/html" xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:f="http://java.sun.com/jsf/core" xmlns:g="http://www.ihe.net/gazelle"
                xmlns="http://www.w3.org/1999/xhtml" template="//layout/template.xhtml">
    <ui:define name="body">
        <h:form id="globalForm">
            <s:div id="invalid" styleClass="gzl-alert gzl-alert-red"
                   rendered="#{xuaTestCaseDisplay.selectedTest == null}">
                <h:outputText value="#{messages['net.ihe.gazelle.atna.NoTestCaseFoundForTheGivenID']}"/>
            </s:div>
            <s:div id="globalDiv" rendered="#{xuaTestCaseDisplay.selectedTest != null}">
                <h1>#{xuaTestCaseDisplay.selectedTest.keyword}</h1>
                <gri:panel pid="description">
                    <f:facet name="header">#{messages['net.ihe.gazelle.atna.TestCaseSummary']}</f:facet>
                    <dl class="dl-horizontal">
                        <s:decorate template="/layout/display/_data_list_item.xhtml">
                            <ui:define name="label">#{messages['net.ihe.gazelle.atna.Keyword']}</ui:define>
                            <h:outputText value="#{xuaTestCaseDisplay.selectedTest.keyword}"/>
                        </s:decorate>
                        <s:decorate template="/layout/display/_data_list_item.xhtml">
                            <ui:define name="label">#{messages['net.ihe.gazelle.audit.message.Description']}</ui:define>
                            <h:outputText value="#{xuaTestCaseDisplay.selectedTest.description}"/>
                        </s:decorate>
                        <s:decorate template="/layout/display/_data_list_item.xhtml">
                            <ui:define name="label">#{messages['net.ihe.gazelle.questionnaire.LastModifiedOn']}</ui:define>
                            <g:date value="#{xuaTestCaseDisplay.selectedTest.lastChanged}"/>
                        </s:decorate>
                        <s:decorate template="/layout/display/_data_list_item.xhtml">
                            <ui:define name="label">#{messages['net.ihe.gazelle.atna.LastModifiedBy']}</ui:define>
                            <h:outputText value="#{xuaTestCaseDisplay.getUserName(xuaTestCaseDisplay.selectedTest.lastModifier)}"/>
                        </s:decorate>
                        <s:decorate template="/layout/display/_data_list_item.xhtml">
                            <ui:define name="label">#{messages['net.ihe.gazelle.atna.ExpectedResult']}</ui:define>
                            <h:outputText value="#{xuaTestCaseDisplay.selectedTest.expectedResult.label}"/>
                        </s:decorate>
                        <s:decorate template="/layout/display/_data_list_item.xhtml">
                            <ui:define name="label">#{messages['net.ihe.gazelle.proxy.Details']}</ui:define>
                            <h:outputText value="#{xuaTestCaseDisplay.selectedTest.expectedResultDetails}"
                                rendered="#{not empty xuaTestCaseDisplay.selectedTest.expectedResultDetails}"/>
                        </s:decorate>
                    </dl>
                    <f:facet name="footer">
                        <a4j:commandButton value="#{messages['net.ihe.gazelle.atna.BackToTestList']}"
                                           action="#{xuaTestCaseDisplay.backToTestList()}"
                                           styleClass="gzl-btn"/>
                        <a4j:commandButton value="#{messages['net.ihe.gazelle.atna.ExecuteThisTest']}"
                                           action="#{xuaTestCaseDisplay.executeTest()}"
                                           styleClass="gzl-btn-blue"/>

                    </f:facet>
                </gri:panel>
                <gri:panel pid="elements">
                    <f:facet name="header">#{messages['net.ihe.gazelle.atna.SOAPHeaderElements']}</f:facet>
                    <a4j:repeat value="#{xuaTestCaseDisplay.selectedTest.soapHeaderParts}" var="entry">
                        <gri:panel pid="entry_#{entry.id}" styleClass="gzl-notification gzl-notification-blue">
                            <f:subview id="sig" rendered="#{entry.getType().equals('Signature')}">
                                <dl class="dl-horizontal">
                                    <s:decorate template="/layout/display/_data_list_item.xhtml">
                                        <ui:define name="label">#{messages['net.ihe.gazelle.atna.Element']}</ui:define>
                                        <h:outputText value="#{messages['net.ihe.gazelle.atna.DigitalSignature']}" style="font-weight:bold;"/>
                                    </s:decorate>
                                    <s:decorate template="/layout/display/_data_list_item.xhtml">
                                        <ui:define name="label">#{messages['net.ihe.gazelle.atna.SignedElement']}</ui:define>
                                        <h:outputText value="#{entry.signedElementNamespaceUri}:#{entry.signedElementLocalName}"/>
                                    </s:decorate>
                                    <s:decorate template="/layout/display/_data_list_item.xhtml" rendered="#{s:hasRole('admin_role')}">
                                        <ui:define name="label">#{messages['net.ihe.gazelle.atna.Keystore']}</ui:define>
                                        <h:outputText value="#{entry.keystore}"/>
                                    </s:decorate>
                                    <s:decorate template="/layout/display/_data_list_item.xhtml" rendered="#{s:hasRole('admin_role')}">
                                        <ui:define name="label">#{messages['net.ihe.gazelle.atna.KeystorePassword']}</ui:define>
                                        <h:outputText value="#{entry.keystorePassword}"/>
                                    </s:decorate>
                                    <s:decorate template="/layout/display/_data_list_item.xhtml" rendered="#{s:hasRole('admin_role')}">
                                        <ui:define name="label">#{messages['net.ihe.gazelle.atna.AliasForPrivateKey']}</ui:define>
                                        <h:outputText value="#{entry.alias}"/>
                                    </s:decorate>
                                    <s:decorate template="/layout/display/_data_list_item.xhtml" rendered="#{s:hasRole('admin_role')}">
                                        <ui:define name="label">#{messages['net.ihe.gazelle.atna.PrivateKeysPassword']}</ui:define>
                                        <h:outputText value="#{entry.privateKeyPassword}"/>
                                    </s:decorate>
                                </dl>
                                <ui:include src="/xuatesting/exceptionDetails.xhtml">
                                    <ui:param name="entry" value="#{entry}"/>
                                </ui:include>
                            </f:subview>
                            <f:subview id="she" rendered="#{entry.getType().equals('SOAPHeaderElement')}">
                                <dl class="dl-horizontal">
                                    <s:decorate template="/layout/display/_data_list_item.xhtml">
                                        <ui:define name="label">#{messages['net.ihe.gazelle.atna.Element']}</ui:define>
                                        <h:outputText value="#{entry.namespaceUri}:#{entry.localName}" style="font-weight:bold;"/>
                                    </s:decorate>
                                    <s:decorate template="/layout/display/_data_list_item.xhtml">
                                        <ui:define name="label">#{messages['net.ihe.gazelle.proxy.Value']}</ui:define>
                                        <h:outputText value="#{entry.value}"/>
                                    </s:decorate>
                                    <s:decorate template="/layout/display/_data_list_item.xhtml">
                                        <ui:define name="label">#{messages['net.ihe.gazelle.atna.MustUnderstand']}</ui:define>
                                        <h:outputText value="#{entry.mustUnderstand}"/>
                                    </s:decorate>
                                </dl>
                                <ui:include src="/xuatesting/exceptionDetails.xhtml">
                                    <ui:param name="entry" value="#{entry}"/>
                                </ui:include>
                            </f:subview>
                            <f:subview id="assertion" rendered="#{entry.getType().equals('Assertion')}">
                                <dl class="dl-horizontal">
                                    <s:decorate template="/layout/display/_data_list_item.xhtml">
                                        <ui:define name="label">#{messages['net.ihe.gazelle.atna.Element']}</ui:define>
                                        <h:outputText value="#{messages['net.ihe.gazelle.atna.SAMLAssertion']}" style="font-weight:bold;"/>
                                    </s:decorate>
                                    <s:decorate template="/layout/display/_data_list_item.xhtml">
                                        <ui:define name="label">#{messages['net.ihe.gazelle.atna.STS']}</ui:define>
                                        <h:outputText value="#{entry.stsEndpoint}"/>
                                    </s:decorate>
                                    <s:decorate template="/layout/display/_data_list_item.xhtml">
                                        <ui:define name="label">#{messages['net.ihe.gazelle.atna.Username']}</ui:define>
                                        <h:outputText value="#{entry.username}"/>
                                    </s:decorate>
                                    <s:decorate template="/layout/display/_data_list_item.xhtml">
                                        <ui:define name="label">#{messages['net.ihe.gazelle.atna.Password']}</ui:define>
                                        <h:outputText value="#{entry.password}"/>
                                    </s:decorate>
                                </dl>
                                <ui:include src="/xuatesting/exceptionDetails.xhtml">
                                    <ui:param name="entry" value="#{entry}"/>
                                </ui:include>
                            </f:subview>
                            <f:subview id="timestamp" rendered="#{entry.getType().equals('Timestamp')}">
                                <dl class="dl-horizontal">
                                    <s:decorate template="/layout/display/_data_list_item.xhtml">
                                        <ui:define name="label">#{messages['net.ihe.gazelle.atna.Element']}</ui:define>
                                        <h:outputText value="#{messages['net.ihe.gazelle.proxy.Timestamp']}" style="font-weight:bold;"/>
                                    </s:decorate>
                                    <s:decorate template="/layout/display/_data_list_item.xhtml">
                                        <ui:define name="label">#{messages['net.ihe.gazelle.atna.OffsetForCreated']}</ui:define>
                                        <h:outputText value="#{entry.createdOffset} (#{messages['net.ihe.gazelle.atna.InSeconds']})"/>
                                    </s:decorate>
                                    <s:decorate template="/layout/display/_data_list_item.xhtml">
                                        <ui:define name="label">#{messages['net.ihe.gazelle.atna.Duration']}</ui:define>
                                        <h:outputText value="#{entry.duration} (#{messages['net.ihe.gazelle.atna.InSeconds']})"/>
                                    </s:decorate>
                                </dl>
                                <ui:include src="/xuatesting/exceptionDetails.xhtml">
                                    <ui:param name="entry" value="#{entry}"/>
                                </ui:include>
                            </f:subview>
                        </gri:panel>
                    </a4j:repeat>
                </gri:panel>
            </s:div>
        </h:form>
    </ui:define>
</ui:composition>